## org.apache.batik.css.parser
Interface ExtendedParser

All Superinterfaces:
  org.w3c.css.sac.Parser

All Known Implementing Classes:
  ExtendedParserWrapper, Parser

    public interface ExtendedParser

extends org.w3c.css.sac.Parser

This class implements the `Parser` interface plus a set of custom methods.

Method Summary
`org.w3c.css.sac.SACMediaList` `parseMedia(java.lang.String mediaText)` Parse a CSS media value.
`boolean` `parsePriority(java.lang.String source)` Parse a CSS priority value (e.g. "!important").
`org.w3c.css.sac.LexicalUnit` `parsePropertyValue(java.lang.String source)` Parse a CSS property value.
`void` `parseRule(java.lang.String source)` Parse a CSS rule.
`org.w3c.css.sac.SelectorList` `parseSelectors(java.lang.String source)` Parse a comma separated list of selectors.
`void` `parseStyleDeclaration(java.lang.String source)` Parse a CSS style declaration (without '{' and '}').

Methods inherited from interface org.w3c.css.sac.Parser
`getParserVersion, parsePriority, parsePropertyValue, parseRule, parseSelectors, parseStyleDeclaration, parseStyleSheet, parseStyleSheet, setConditionFactory, setDocumentHandler, setErrorHandler, setLocale, setSelectorFactory`

Method Detail

### parseStyleDeclaration

    void parseStyleDeclaration(java.lang.String source)
                               throws org.w3c.css.sac.CSSException,
                                      java.io.IOException

  Parse a CSS style declaration (without '{' and '}').

  Parameters:
    `source` - The declaration.
  Throws:
    `org.w3c.css.sac.CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseRule

    void parseRule(java.lang.String source)
                   throws org.w3c.css.sac.CSSException,
                          java.io.IOException

  Parse a CSS rule.

  Throws:
    `org.w3c.css.sac.CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseSelectors

    org.w3c.css.sac.SelectorList parseSelectors(java.lang.String source)
                                                throws org.w3c.css.sac.CSSException,
                                                       java.io.IOException

  Parse a comma separated list of selectors.

  Throws:
    `org.w3c.css.sac.CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parsePropertyValue

    org.w3c.css.sac.LexicalUnit parsePropertyValue(java.lang.String source)
                                                   throws org.w3c.css.sac.CSSException,
                                                          java.io.IOException

  Parse a CSS property value.

  Throws:
    `org.w3c.css.sac.CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parseMedia

    org.w3c.css.sac.SACMediaList parseMedia(java.lang.String mediaText)
                                            throws org.w3c.css.sac.CSSException,
                                                   java.io.IOException

  Parse a CSS media value.

  Throws:
    `org.w3c.css.sac.CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

### parsePriority

    boolean parsePriority(java.lang.String source)
                          throws org.w3c.css.sac.CSSException,
                                 java.io.IOException

  Parse a CSS priority value (e.g. "!important").

  Throws:
    `org.w3c.css.sac.CSSException` - Any CSS exception, possibly wrapping another exception.
    `java.io.IOException` - An IO exception from the parser, possibly from a byte stream or character stream supplied by the application.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.